ps_set_border_style
ps_set_parameter
Fonctions PS
PHP Manual

# ps_set_info

(PECL ps:1.1.0-1.3.5)

ps_set_info — Assigne les champs d'informations d'un document

### Description

bool ps_set_info ( resource `$p` , string `$key` , string `$val` )

Fixe certains champs d'informations du document. Les champs seront montrés en tant que commentaire dans l'en-tête du fichier PostScript. Si le document est converti en pdf, ces champs seront aussi utilisés pour les informations du document.

Le BoundingBox est normalement fixé à la valeur donnée par la première page. Cela fonctionne seulement si ps_findfont() n'a pas été appelée auparavant. Dans ces cas, le BoundingBox sera laissé non fixé à moins que vous le fixé explicitement avec cette fonction.

Cette fonction n'aura plus d'effet lorsque l'en-tête du fichier PostScript a été déjà été écrit. Elle doit être appelée avant la première page ou le premier appel de ps_findfont().

### Liste de paramètres

`psdoc`

  Identifiant de ressource PostScript, retourné par ps_new().

`key`

  Le nom du champ d'information à configurer. Les valeurs de noms possibles sont Keywords, Subject, Title, Creator, Author, BoundingBox et Orientation. Soyez attentifs, car certains champs ont des significations spéciales pour les lecteurs PostScript.

`value`

  Les valeurs du champ d'information. Le champ Orientation peut être fixé à soit Portrait ou Landscape. Le BoundingBox est une chaîne de caractères contenant quatre nombres. Les deux premiers sont les coordonnées du coin inférieur gauche de la page. Les deux derniers sont les coordonnées du coin supérieur droit.

  > Note: Jusqu'à la version 0.2.6 de pslib, le BoundingBox et Orientation seront toujours écrasés par ps_begin_page(), à moins que ps_findfont() ait été appelée avant.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

### Voir aussi

- ps_findfont()
- ps_begin_page()

ps_set_border_style
ps_set_parameter
Fonctions PS
PHP Manual